Package org.lwjgl.opengl

# Class ARBClearBufferObject

java.lang.Object
org.lwjgl.opengl.ARBClearBufferObject

public final class ARBClearBufferObject extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`glClearBufferData(int target, int internalformat, int format, int type, ByteBuffer data)`
`static void`
`glClearBufferSubData(int target, int internalformat, long offset, long size, int format, int type, ByteBuffer data)`
`static void`
`glClearNamedBufferDataEXT(int buffer, int internalformat, int format, int type, ByteBuffer data)`
`static void`
`glClearNamedBufferSubDataEXT(int buffer, int internalformat, long offset, long size, int format, int type, ByteBuffer data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### glClearBufferData

public static void glClearBufferData(int target, int internalformat, int format, int type, ByteBuffer data)

### glClearBufferSubData

public static void glClearBufferSubData(int target, int internalformat, long offset, long size, int format, int type, ByteBuffer data)

### glClearNamedBufferDataEXT

public static void glClearNamedBufferDataEXT(int buffer, int internalformat, int format, int type, ByteBuffer data)

### glClearNamedBufferSubDataEXT

public static void glClearNamedBufferSubDataEXT(int buffer, int internalformat, long offset, long size, int format, int type, ByteBuffer data)